using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities.Contracts
{
    [Table("exam_type")]
    public class ExamType
	{
        [Key]
        [Column("id")]
        public Guid Id { get; set; }

        [Column("name")]
        [MaxLength(20)]
        public string Name { get; set; }

        [Column("description")]
        public string Description { get; set; }

        [InverseProperty(nameof(Exam.ExamType))]
        public virtual ICollection<Exam> Exams { get; set; }

        public ExamType()
        {
			Id = Guid.NewGuid();
			Exams = new HashSet<Exam>();
        }
    }
}
